270µH Radial Leaded Power Inductors :
11 Products FoundAll Filters
(1 Applied)
Expand Filters
Manufacturer
(1)
(9)
(1)
Inductance
=270µH
1
(3)
(2)
(1)
(4)
(1)
(1)
(2)
(2)
Product Range
(1)
(1)
(1)
(1)
(1)
(1)
(1)
(1)
Inductor Construction
(1)
(10)
RMS Current (Irms)
(1)
(1)
(1)
(1)
(1)
(1)
(1)
(1)
Saturation Current (Isat)
(1)
(1)
(1)
(1)
(1)
(2)
(1)
(1)
DC Resistance Max
(1)
(1)
(1)
(1)
(1)
(1)
(1)
(1)
Inductance Tolerance
(11)
Packaging
(11)
| Compare | Manufacturer Part No | Order Code | Manufacturer / Description | Availability | Price For | Price | Quantity | Product Range | Inductance | Inductor Construction | RMS Current (Irms) | Saturation Current (Isat) | DC Resistance Max | Inductance Tolerance |
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
Each | 10+HK$11.350 50+HK$10.610 300+HK$5.080 600+HK$4.660 1200+HK$4.570 More Pricing... | SBCP Series | 270µH | Unshielded | 300mA | 300mA | 1.3ohm | ± 10% | ||||||
Each | 1+HK$3.130 5+HK$2.860 10+HK$2.590 25+HK$2.270 50+HK$2.090 More Pricing... | RLB Series | 270µH | Unshielded | 770mA | 1.4A | 0.68ohm | ± 10% | ||||||
Each | 1+HK$8.880 10+HK$7.530 25+HK$6.840 50+HK$6.100 100+HK$5.350 More Pricing... | DR0810 Series | 270µH | Unshielded | 1.28A | 900mA | 0.62ohm | ± 10% | ||||||
Each | 1+HK$12.420 5+HK$11.480 10+HK$10.530 25+HK$9.700 50+HK$8.610 More Pricing... | RFC1010 Series | 270µH | Unshielded | 1.27A | 1.65A | 0.44ohm | ± 10% | ||||||
Each | 1+HK$17.840 5+HK$16.530 10+HK$15.210 25+HK$13.980 50+HK$12.210 More Pricing... | RFS1317 Series | 270µH | Shielded | 2.05A | 1.7A | 0.263ohm | ± 10% | ||||||
Each | 1+HK$13.980 5+HK$12.910 10+HK$11.840 25+HK$10.860 50+HK$9.630 More Pricing... | RFB0810 Series | 270µH | Unshielded | 1.3A | 840mA | 0.55ohm | ± 10% | ||||||
Each | 1+HK$12.580 5+HK$11.640 10+HK$10.690 25+HK$9.700 50+HK$8.660 More Pricing... | RFC0810 Series | 270µH | Unshielded | 1.05A | 1.2A | 0.53ohm | ± 10% | ||||||
Each | 1+HK$8.390 5+HK$7.740 10+HK$7.080 25+HK$6.440 50+HK$5.740 More Pricing... | RFC0807 Series | 270µH | Unshielded | 800mA | 1.2A | 0.805ohm | ± 10% | ||||||
Each | 1+HK$10.940 5+HK$10.120 10+HK$9.290 25+HK$8.470 50+HK$7.560 More Pricing... | RFB0807 Series | 270µH | Unshielded | 780mA | 600mA | 0.9ohm | ± 10% | ||||||
Each | 1+HK$8.060 10+HK$6.850 25+HK$6.230 50+HK$5.550 100+HK$4.860 More Pricing... | DR0608 Series | 270µH | Unshielded | 930mA | 690mA | 0.96ohm | ± 10% | ||||||
Each | 1+HK$107.520 2+HK$102.760 3+HK$97.990 5+HK$93.220 10+HK$88.450 More Pricing... | PCV-2 Series | 270µH | Unshielded | 7.2A | - | 0.06ohm | ± 10% | ||||||










